import AutoImport from 'unplugin-auto-import/vite'
import { NaiveUiResolver } from 'unplugin-vue-components/resolvers'

export default () => {
  // https://github.com/antfu/unplugin-auto-import
  return AutoImport({
    imports: [
      'vue',
      'vue-router',
      'vue-i18n',
      'vue/macros',
      '@vueuse/head',
      '@vueuse/core',
      {
        'naive-ui': [
          'useDialog',
          'useMessage',
          'useNotification',
          'useLoadingBar',
        ],
      },
    ],
    dts: 'src/auto-imports.d.ts',
    dirs: [
      'src/composables',
      'src/stores',
      'src/types',
      'src/api/**',
    ],
    vueTemplate: true,
    resolvers: [
      NaiveUiResolver(),
    ],
  })
}
